/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-07-31 00:27
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;

void solve(){
    // Code goes here ...
    cin >> N;
    
    ll a, b;
    if(N == 1){
        cin >> a;
        cout << a << endl;
        return;
    }
    cin >> a >> b;
    bool nowa = true;
    ll cur, curacc;
    F(i, 2, N){
        curacc = nowa ? a : b;

        cin >> cur;
        if(curacc <= 0 and cur > curacc)
            curacc = cur;
        else if(cur > 0)
            curacc += cur;
        
        if(nowa) a = curacc;
        else b = curacc;
        nowa = !nowa;
    }

    cerr << a << " " << b << endl;
    cout << max(a, b) << endl;
}

int main(){
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
